Subject: RE: Missing mount's
From: Vince Hoffman <[email-masked]>
To: 'Gunnar Boström'<[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Mon, 9 Sep 2002 13:10:25 +0100

Not a problem, most of what i know about cygwin came from people on the
list. By the way as your using network mounts you know you can use UNC paths
straight from the command line in cygwin (as //server/share/path) if you
dont want to map a drive to it? 
I tend to use SSH for remote access, but again if you use public key
authentication you cant access the network. 
The only way to access shares or network drives when logged in remotely is
to not use a .rhosts file or with ssh to tell it not to use public keys, or
use telnet. possibly use an expect script with rsh if you need it
non-interactive although i am no expert. It could be worth looking in the
archives as i'm sure this has been asked before.

ps best to keep answers on the list as more people can potentialy help you
that way.
-----Original Message-----
From: Gunnar Boström [mailto:[email-masked]]
Sent: 09 September 2002 12:45
To: Vince Hoffman
Subject: RE: Missing mount's 

Thanks for your answers!
:-)

> -----Original Message-----
> From: Vince Hoffman [mailto:[email-masked]] 
> Sent: den 9 september 2002 13:37
> To: Gunnar Boström; [email-masked]
> Subject: RE: Missing mount's 
> 
> 
> i seem to remember you have to have used password 
> authentication to access the network. (otherwise i can think 
> of at least one easy way users could get Domain Administrator 
> access just with rsh/ssh) are you using password authentication ?

I have a ~/.rhosts file which allow "localhost me". 
Do you know where I can read more about password authentication?

> 
> As to the java, thats not a cygwin program is it ? thus it 
> wont see /cygdrive/ paths as it doesnt use the cygwin1.dll

You are correct and that explains the result.

> 
> -----Original Message-----
> From: Gunnar Boström [mailto:[email-masked]]
> Sent: 09 September 2002 12:15
> To: [email-masked]
> Subject: Missing mount's 
> 
> 
> Hi!
> I'm running the latest version of cygwin on windows XP pro 
> and have problem with mount points. Can anybody help me please?
> 
> When I do rsh to my localhost I'm missing all the network 
> mountpoints. 
> I only get the mounts for the local drives.
> Where are the mountpoints set? In the registry there are only 
> three mounts: "/", "/usr/bin" and "/usr/lib" for the current user.
> 
> Another or possible related problem is that
> java -classpath H:/classes Main // works 
> java -classpath /cygdrive/h/classes Main // doesn't find Main class
> 
> java -version // gives the following output
> java version "1.4.1-rc"
> Java(TM) 2 Runtime Environment, Standard Edition (build 
> 1.4.1-rc-b19) Java HotSpot(TM) Client VM (build 1.4.1-rc-b19, 
> mixed mode)
> 
> The following is the output from mount and rsh localhost mount.
> :-)
> 
> 
> ---------------------------------------
> $ mount
> D:\gb\cygwin\bin on /usr/bin type user (textmode) 
> D:\gb\cygwin\lib on /usr/lib type user (textmode) 
> D:\gb\cygwin on / type user (textmode)
> c: on /cygdrive/c type user (textmode,noumount)
> d: on /cygdrive/d type user (textmode,noumount)
> g: on /cygdrive/g type user (textmode,noumount)
> h: on /cygdrive/h type user (textmode,noumount)
> m: on /cygdrive/m type user (textmode,noumount)
> p: on /cygdrive/p type user (textmode,noumount)
> r: on /cygdrive/r type user (textmode,noumount)
> s: on /cygdrive/s type user (textmode,noumount)
> v: on /cygdrive/v type user (textmode,noumount)
> x: on /cygdrive/x type user (textmode,noumount)
> ---------------------------------------
> $ rsh localhost mount
> D:\gb\cygwin\bin on /usr/bin type user (textmode) 
> D:\gb\cygwin\lib on /usr/lib type user (textmode) 
> D:\gb\cygwin on / type user (textmode)
> c: on /cygdrive/c type user (textmode,noumount)
> d: on /cygdrive/d type user (textmode,noumount)
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/